
<template>
  <view-grid
    ref="grid"
    :columns="columns"
    :detail="detail"
    :editFormFields="editFormFields"
    :editFormOptions="editFormOptions"
    :searchFormFields="searchFormFields"
    :searchFormOptions="searchFormOptions"
    :table="table"
  >
  </view-grid>
</template>
  <script>
import extend from "@/extension/taskinfo/task.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
  setup() {
    //表其他配置
    const table = ref({
      key: "id",
      footer: "Foots",
      cnName: "错误信息",
      name: "erroe",
      url: "/ERROE/",
      sortName: "CreateDate",
    });
    //编辑字段
    const editFormFields = ref({});
    //编辑配置
    const editFormOptions = ref([]);
    //查询字段
    const searchFormFields = ref({

    });
    //查询配置
    const searchFormOptions = ref([
      
    ]);
    //查询页面table表的配置
    const columns = ref([
      {
        field: "id",
        title: "id",
        type: "int",
        width: 90,
        hidden: true,
        readonly: true,
        require: true,
        align: "left",
      },
      {
        field: "mesg",
        title: "描述",
        type: "string",
        width: 90,
        align: "left",
      },
      {
        field: "errormsg",
        title: "错误信息",
        type: "string",
        width: 90,
        align: "left",
        bind: { key: "taskType", data: [] },
      },
      {
        field: "creater",
        title: "创建人",
        type: "string",
        width: 90,
        align: "left",
      },
      {
        field: "createDate",
        title: "创建时间",
        type: "datetime",
        width: 150,
        align: "left",
      },
      {
        field: "modifier",
        title: "修改人",
        type: "string",
        width: 100,
        align: "left",
      },
      {
        field: "modifyDate",
        title: "修改时间",
        type: "datetime",
        width: 160,
        align: "left",
      }
    ]);
    //主从明细表配置
    const detail = ref({
      cnName: "",
      table: "",
      columns: [],
      sortName: "",
      key: "",
    });
    return {
      table,
      extend,
      editFormFields,
      editFormOptions,
      searchFormFields,
      searchFormOptions,
      columns,
      detail,
    };
  },
});
</script>
  